#ifndef PMPLIB_H
#define PMPLIB_H 1
#include <stdio.h>
struct _p {long s; long l; char *f; struct _p *p;};
extern struct _p *_pc; FILE *_pm(struct _p *t, FILE *fi);
#define _pr(_ps) (_ps.p = _pc, _pc = &_ps)
#define P do {static struct _p p = {0,__LINE__,__FILE__,0};\
if (!((p.s)++)) _pr(p);} while(0)
#define pmp(fn) fclose(_pm(_pc, fopen(fn,"w")))
#endif
